- Update representative
For callers lacking the person:read.pii permission the street-level fields (addressLine1, addressLine2, POBox) are returned as null; city, state, postal code, and country are retained.
The email address of a legal entity.
Masked (e.g. j***@example.com) for callers lacking the person:read.pii permission.
An additional email address of a legal entity.
Masked (e.g. j***@example.com) for callers lacking the person:read.pii permission.
An additional phone number of a legal entity. This should be provided in E.164 format.
Masked to the last four digits (e.g. ********1234) for callers lacking the person:read.pii permission.
The phone number of a legal entity. This should be provided in E.164 format.
Masked to the last four digits (e.g. ********1234) for callers lacking the person:read.pii permission.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X PUT \
'https://sandboxapi.peach.finance/api/people/{personId}/legal-representatives/{legalRepresentativeId}?validate=true' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"address": {
"POBox": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"country": "string",
"countyOrRegion": "string",
"postalCode": "string",
"state": "strin"
},
"email": "string",
"name": {
"firstName": "string",
"lastName": "string",
"maidenLastName": "string",
"middleName": "string",
"preferredFirstName": "string",
"prefix": "string",
"suffix": "strin"
},
"otherEmail": "string",
"otherPhone": "string",
"phone": "string",
"status": "active"
}'{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "address": { … }, "email": "string", "name": { … }, "object": "legalRepresentative", "otherEmail": "string", "otherPhone": "string", "phone": "string", "redactedFields": [ … ], "status": "active", "statusUpdatedAt": "2019-08-24T14:15:22Z", "validAddress": true } }